tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Class Criteria

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.xep0136.Criteria

-     public class Criteria
      extends Object

  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Criteria()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `addContains(String... contains)`
    `Criteria` | `addTags(String... tags)`
    `Date` | `getEnd()`
    `Integer` | `getLimit()`
    `Date` | `getStart()`
    `JID` | `getWith()`
    `Criteria` | `setAfter(String after)`
    `Criteria` | `setBefore(String before)`
    `Criteria` | `setContains(Collection<String> contains)`
    `Criteria` | `setEnd(Date date)`
    `Criteria` | `setIndex(Integer index)`
    `Criteria` | `setLastPage(Boolean val)`
    `Criteria` | `setLimit(Integer limit)`
    `Criteria` | `setStart(Date date)`
    `Criteria` | `setTags(Collection<String> tags)`
    `Criteria` | `setWith(JID jid)`
    `void` | `toElement(Element e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Criteria

          public Criteria()

  - ### Method Detail

    - #### addContains

          public Criteria addContains(String... contains)

    - #### addTags

          public Criteria addTags(String... tags)

    - #### getEnd

          public Date getEnd()

    - #### setEnd

          public Criteria setEnd(Date date)

    - #### getLimit

          public Integer getLimit()

    - #### setLimit

          public Criteria setLimit(Integer limit)

    - #### getStart

          public Date getStart()

    - #### setStart

          public Criteria setStart(Date date)

    - #### getWith

          public JID getWith()

    - #### setWith

          public Criteria setWith(JID jid)

    - #### setAfter

          public Criteria setAfter(String after)

    - #### setBefore

          public Criteria setBefore(String before)

    - #### setContains

          public Criteria setContains(Collection<String> contains)

    - #### setIndex

          public Criteria setIndex(Integer index)

    - #### setLastPage

          public Criteria setLastPage(Boolean val)

    - #### setTags

          public Criteria setTags(Collection<String> tags)

    - #### toElement

          public void toElement(Element e)
                         throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2022 Tigase. All rights reserved.